org.richfaces.fragment.dataScroller

## Class RichFacesDataScroller

- java.lang.Object
- - org.richfaces.fragment.dataScroller.RichFacesDataScroller

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesDataScroller.AdvancedDataScrollerInteractions>, AdvancedVisibleComponentIteractions<RichFacesDataScroller.AdvancedDataScrollerInteractions>, DataScroller

      public class RichFacesDataScroller
      extends Object
      implements DataScroller, AdvancedVisibleComponentIteractions<RichFacesDataScroller.AdvancedDataScrollerInteractions>

  Author:
    Pavol Pitonak

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesDataScroller.AdvancedDataScrollerInteractions`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.dataScroller.DataScroller

      `DataScroller.DataScrollerSwitchButton`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesDataScroller()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesDataScroller.AdvancedDataScrollerInteractions` | `advanced()`
    `int` | `getActivePageNumber()` Gets the index of the currently selected page.
    `boolean` | `hasPages()` Determines whether there are some pages to scroll over with this DataScroller.
    `void` | `switchTo(DataScroller.DataScrollerSwitchButton btn)` Switch by buttons.
    `void` | `switchTo(int pageNumber)` Direct switch to page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesDataScroller

          public RichFacesDataScroller()

  - ### Method Detail

    - #### getActivePageNumber

          public int getActivePageNumber()

      Description copied from interface: `DataScroller`
      Gets the index of the currently selected page. Indexed from 1.
      Specified by:
        `getActivePageNumber` in interface `DataScroller`
      Returns:
        the position of the page at which the dataScroller currently is

    - #### switchTo

          public void switchTo(int pageNumber)

      Description copied from interface: `DataScroller`
      Direct switch to page. Indexed from 1. Page must exist. Without any waiting.
      Specified by:
        `switchTo` in interface `DataScroller`
      Parameters:
        `pageNumber` - of the page which will be selected

    - #### switchTo

          public void switchTo(DataScroller.DataScrollerSwitchButton btn)

      Description copied from interface: `DataScroller`
      Switch by buttons. Clicks on the chosen button. Without any waiting.
      Specified by:
        `switchTo` in interface `DataScroller`
      Parameters:
        `btn` - the button which will be used to control the dataScroller in order to switch to a wished page
      See Also:
        `DataScroller.DataScrollerSwitchButton`

    - #### hasPages

          public boolean hasPages()

      Description copied from interface: `DataScroller`
      Determines whether there are some pages to scroll over with this DataScroller.
      Specified by:
        `hasPages` in interface `DataScroller`
      Returns:
        true if there is more than one page of data, false otherwise

    - #### advanced

          public RichFacesDataScroller.AdvancedDataScrollerInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesDataScroller.AdvancedDataScrollerInteractions>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.